Skip to main content
GET
/
contacts
/
segments
/
{segment_id}
Get a contact segment
curl --request GET \
  --url https://api.open.cx/contacts/segments/{segment_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "definition": {
    "or": [
      {
        "and": [
          {
            "type": "<string>"
          }
        ]
      }
    ]
  },
  "created_at": "<string>",
  "updated_at": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.open.cx/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

segment_id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

Default Response

id
string
required
name
string
required
description
string | null
required
definition
object
required
created_at
string | null
required

ISO 8601 timestamp of when the segment was created

updated_at
string | null
required

ISO 8601 timestamp of when the segment was last updated